#!/usr/bin/env bash

test_description='Parse help output of all executables.

Each paraslash executable supports the -h switch which instructs
the program to print out all available options and to exit. This test
checks whether this help output looks as expected.'

. ${0%/*}/test-lib.sh

grep_output()
{
	local regex='^  -h, --help'
	$1 -h | grep "$regex"
}

for exe in $o_executables; do
	test_expect_success "$exe" "grep_output $o_executables_dir/$exe"
done
test_done
